Bug 458843 - group "video"
group "video"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks: 476886
  Show dependency treegraph
 
Reported: 2008-08-12 12:49 EDT by Harald Hoyer
Modified: 2009-01-20 08:59 EST (History)
0 users

See Also:
Fixed In Version: setup-2.7.5-3.fc11
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 06:59:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2008-08-12 12:49:41 EDT
May we add video to the standard groups?

Target is to have the same udev rules across all distributions and mostly every other distribution has the "video" group.

Same thing with the "sound" group.
Comment 1 Harald Hoyer 2008-08-12 12:50:29 EDT
s/sound/audio/
Comment 2 Ondrej Vasik 2008-11-18 07:10:33 EST
Built as setup-2.7.4-2.fc11 in Rawhide, assigned gid's for audio (:63) and video (:39) group, closing RAWHIDE.

NOTE: There is no assigned package as owner of those groups in uidgid file, should they be owned by some package? Or by setup itself and should be added to standard /etc/group file by default ? Just leave the note here or via IRC, no need to reopen... TIA
Comment 3 Harald Hoyer 2008-11-18 12:40:26 EST
setup should own it itself and it should be added to the standard /etc/group file by default.
Comment 4 Ondrej Vasik 2008-11-18 13:03:23 EST
Ok, will do that in next rawhide setup build.
Comment 5 Harald Hoyer 2008-12-18 03:58:30 EST
not yet fixed..
Comment 6 Ondrej Vasik 2008-12-18 04:51:16 EST
/etc/group from rawhide (just relevant section)
...
man::15:
games::20:
gopher::30:
video::39:
dip::40:
ftp::50:
lock::54:
audio::63:
nobody::99:
users::100:

I do see video and audio group there... created by setup... setup-2.7.5-2.fc11 - so I guess it's fixed in rawhide... 

What version do you have? ... also do consider that those groups are added only when installing clean nightly rawhide tree - as /etc/group will be not changed by setup updates - only .rpmnew is created ...
Comment 7 Harald Hoyer 2008-12-18 04:59:10 EST
hmm, maybe addgroup in %post also for the updata case?
Comment 8 Ondrej Vasik 2008-12-18 05:56:14 EST
That's something to watch - as it should be in any case removed for F-11 final compose... but it is maybe easiest solution (except ignoring that behaviour)...
Comment 9 Harald Hoyer 2008-12-18 06:41:59 EST
"as it should be in any case removed for F-11 final compose" 
??
what? why?

All we need is "video" to be a _standard_ group (even for people who "yum update").

I could easily add that to udev with "addgroup" in %post, but it should not be tied to udev but to the standard system setup.
Comment 10 Ondrej Vasik 2008-12-18 06:55:59 EST
Should be removed, as there are MANY groups and none of them are created by addgroup in post section of setup... I don't want to polute spec file more than necessary... but you are right, it should be kept for 2 releases of Fedora to support updates from lower Fedoras ... bad luck...
Comment 11 Ondrej Vasik 2008-12-18 06:59:18 EST
Added groupadd to post section ... and will keep it at least 2 Fedora releases (as recommended by policies)
Comment 12 Harald Hoyer 2009-01-13 10:36:20 EST
we need 3 more groups for udev-136:
cdrom
tape
dialout

should I open a new bug?
Comment 13 Ondrej Vasik 2009-01-13 10:48:28 EST
Sorry, I don't have that much free slots under 100 in setup uidgid file... There are ~3 left under 100, but I would like to keep it for RHEL usage/updates... I would suggest https://fedoraproject.org/wiki/PackageUserRegistry for it - although I guess some of the setup default groups assignments are quite old, I would rather keep it and use new style suggested by Fedora Project... are you ok with it?
Comment 14 Harald Hoyer 2009-01-15 05:42:36 EST
If RHEL-6 uses fedora user management :)

So should I stuff these cross-distribution standard groups in the udev spec file with fedora user management?
Comment 15 Ondrej Vasik 2009-01-15 06:28:23 EST
Don't know, I will check all available uidgid numbers in uidgid file - and possibly free some numbers - don't know at the moment. I guess fedora user management (I mean that process with reserved id's defaulting to 63000+something) will be kept somehow in RHEL-6 - as I doubt all the packages with those fixed fedora addusers will be changed for RHEL-6 - so it should be safe even for RHEL.   However, some groups could/should be created by default - e.g. we have group floppy in setup uidgid file, so is fully reasonable to have those three as well... 
I'll let you know how many free gid's are available, if not enough (I would like to keep at least three or four for RHEL-5/6 customer requests), maybe we should ask FESCO if they have plan what to do with this fedora package user registry for RHEL-6.
Comment 16 Harald Hoyer 2009-01-15 09:30:52 EST
ok
Comment 17 Ondrej Vasik 2009-01-15 11:42:52 EST
Well ... 
Free gid's (not reserved via uidgid) in Fedora devel are: 11,16,18,33,86,87
There are 25 unreserved uid's under 100 in Fedora devel - however only 16 and 18 available as uidgid pair. Have to check if those 6 gids are really free in Fedora devel - I'm sure only about 16 and 18 uidgid pair... But - as there are 6 left and I said I would like to have at least 3 for RHEL customers, I guess it should be ok to use remaining three for cdrom/tape/dialout ... Do you think those uidgid's should be created by default again? I guess those could be added by udev package - to prevent additional update of /etc/group ... what do you think?
Comment 18 Harald Hoyer 2009-01-16 04:40:55 EST
Hmm, these should be fairly standard groups. Don't know if udev is the right place. For me, it feels like it belongs in the package, which provides the initial group file.
Comment 19 Ondrej Vasik 2009-01-16 06:02:01 EST
Ok, just want to play with those groups as it is done with group floppy... as this group is very close to them... additionally - have you considered group name "optical" instead of cdrom? cdrom is very specific and could confuse someone, that dvd / blueray group is necessary as well... I have seen that group at least in archlinux ...
Comment 20 Harald Hoyer 2009-01-16 06:09:21 EST
well, this was not my decision. This was a cross distribution agreement of a common standard group set for the devices.
Comment 21 Harald Hoyer 2009-01-16 06:10:10 EST
For other distribution that means, they don't have to change the name and we only have to add them.
Comment 22 Ondrej Vasik 2009-01-16 07:16:55 EST
Well, group floppy is added by MAKEDEV package - owned by by Chris Lumens - maybe we should ask him if he could include those three groups as well - I could reserve gid's for them in uidgid file afterwards ... I guess floppy and cdrom/tape group are competely same type of group, so they should be handled by same package. What do you think about that?
Comment 23 Harald Hoyer 2009-01-16 09:14:27 EST
well, those standard groups should really belong in one place.
Comment 24 Ondrej Vasik 2009-01-19 09:49:11 EST
So what's the conclusion we made? I guess new bugzilla ticket against MAKEDEV package should be filled - with request to add those groups. If you fill one, please add me to cc (as I have to reserve gid's for those groups in rawhide setup's uidgid file). TIA...
Comment 25 Harald Hoyer 2009-01-19 10:10:09 EST
so, I'll follow #477769 and add the groups to udev in %post...

any fixed ids for:
cdrom
tape
dialout
?
Comment 26 Ondrej Vasik 2009-01-19 10:42:03 EST
I guess at least for cdrom and tape is better place MAKEDEV ... also this audio and video group check for existing audio/video group is necessary only until F-12 - then it could be thrown away - as those are now in system default groups. Now that post scriptlet in setup is <lua>, so with no additional dependency. Gid's 11,16,18,33,36 and 87 should be free in uidgid file (typo with 86 free was in my last comment), 16 , 18 and 36 are free as uidgid pair - so I would like to keep them ... what about 11, 33 and 87 for those three?
Comment 27 Ondrej Vasik 2009-01-19 10:42:32 EST
(better place because floppy group is created by MAKEDEV)
Comment 28 Harald Hoyer 2009-01-20 04:04:37 EST
ok, then 11, 33 and 87

11 cdrom
33 tape
87 dialout

I'll talk to clumens
Comment 29 Harald Hoyer 2009-01-20 04:06:44 EST
#to be removed after F10 EOL (and for RHEL-6)
getent group video >/dev/null || groupadd -g 39 video || :
getent group audio >/dev/null || groupadd -g 63 audio || :
getent group cdrom >/dev/null || groupadd -g 11 cdrom || :
getent group tape >/dev/null || groupadd -g 33 tape || :
getent group dialout >/dev/null || groupadd -g 87 dialout || :

udev or MAKEDEV, we'll see
Comment 30 Ondrej Vasik 2009-01-20 05:59:52 EST
Ok ... just as a note - only audio and video line should be removed after F10-EOL ... I don't want to add cdrom, tape and dialout to system default groups in setup /etc/group file- as there is existing case of "floppy" group created by MAKEDEV ... so those three groups should be kept even after F10 EOL ... I'll add those gid reservations to uidgid file.
Comment 31 Harald Hoyer 2009-01-20 08:59:12 EST
it seems polkituser has uid/gid 87!
https://bugzilla.redhat.com/show_bug.cgi?id=244950

Note You need to log in before you can comment on or make changes to this bug.